<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_8</title>
</head>
<body>
    <h1>Capitulo 8</h1>
    <a>Ejercicio 7</a>

    <script>   

        const permutaciones = (str, resp) => { 

            if (str.length === 0) {
                console.log(resp + " ");
            }

            for (var i = 0; i < str.length; i++) {
                let ch = str[i];
                let left_perm = str.slice(0, i);
                let right_perm = str.slice(i + 1);
                let rest = left_perm + right_perm;
                permutaciones(rest, resp + ch);
            }
        }
 
        let str = "abc",
           resp = "";
        console.log(`Permutaciones posibles de la cadena "${str}" sin duplicados, son:`)
        permutaciones(str, resp);


        
</script>
    
</body>
</html>